<?php
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT" );
header("Last-Modified: " . gmdate( "D, d M Y H:i:s" ) . "GMT" );
header("Cache-Control: no-cache, must-revalidate" );
header("Pragma: no-cache" );
header("Content-type: text/x-json");
include($_SERVER['DOCUMENT_ROOT'] .'/script/HeaderInc.php');
if('XMLHttpRequest' == $_SERVER['HTTP_X_REQUESTED_WITH'] && true === isset($_SESSION['SessionAuth']['id']) && 0 < $_SESSION['SessionAuth']['id']) {
  $ObjPurchaseStatusMod = new PurchaseStatusMod($MS_SP);
  if (true === isset($_POST['purchasestatus_id']) && true === is_numeric($_POST['purchasestatus_id'])){
    $VarPurchaseStatusId = $ObjPurchaseStatusMod->Edit($_POST);
    if (true === is_numeric($VarPurchaseStatusId)){
      $ArrReturn = array('message' => $MS_SP->Sp_LangMessage['message']['MessRecordEditSuccess']);
    }
    else{
      $ArrReturn = $VarPurchaseStatusId;
    }
  }
  else{
    $VarPurchaseStatusId = $ObjPurchaseStatusMod->Add($_POST);
    if (true === is_numeric($VarPurchaseStatusId)){
      $ArrReturn = array('message' => $MS_SP->Sp_LangMessage['message']['MessRecordAddSuccess']);
    }
    else{
      $ArrReturn = $VarPurchaseStatusId;
    }
  }
}
else{
  $ArrReturn = array('error' => $MS_SP->Sp_LangMessage['error']['ErrFuncAccessDenied']);
}
echo json_encode($ArrReturn);
include($_SERVER['DOCUMENT_ROOT'] .'/script/FooterInc.php');
?>